# Shipping Object

| No | Name    | Type                                                                     | Mandatory | Min Length | Max Length | Description      |
| -- | ------- | ------------------------------------------------------------------------ | --------- | ---------- | ---------- | ---------------- |
| 1  | method  | [Enum](/api-reference/appendix/enumeration/shipping-method-list.md)      | O         | 1          | 20         | Shipping Method  |
| 2  | origin  | [Object](/api-reference/appendix/json-object/shipping-origin-object.md)  | O         | 1          | 1          | Shipping Origin  |
| 3  | contact | [Object](/api-reference/appendix/json-object/shipping-contact-object.md) | O         | 1          | 5          | Shipping Contact |
| 4  | address | [Object](/api-reference/appendix/json-object/shipping-address-object.md) | O         | 1          | 10         | Shipping Address |

```
"shipping": {
    "method": "SAME_DAY",
    "origin": {
        "postcodeZip": "12740"
    },
    "contact": {
        "email": "hajar.finnet@gmail.com",
        "firstName": "Hajar",
        "lastName": "Ismail",
        "mobilePhone": "+6281286288844",
        "phone": "+62211500770"
    },
    "address": {
        "city": "Jakarta Selatan",
        "company": "Finnet Indonesia",
        "country": "IDN",
        "postcodeZip": "12740",
        "stateProvince": "DKI Jakarta",
        "stateProvinceCode": "31",
        "street": "Jalan Gatot Subroto",
        "street2": "Jalan Gatot Subroto",
        "source": "Jakarta",
        "sameAsBilling": "SAME"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/appendix/json-object/shipping-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
